Package com.independentsoft.office.word

# Class MoveBookmark

java.lang.Object
com.independentsoft.office.word.Markup
com.independentsoft.office.word.MarkupRange
com.independentsoft.office.word.BookmarkRange
com.independentsoft.office.word.Bookmark
com.independentsoft.office.word.MoveBookmark

All Implemented Interfaces:
  `IContentElement`, `IBlockContent`, `IBlockElement`, `IContentRunContent`, `IParagraphContent`, `IRangeMarkupElement`, `IRunLevelElement`, `IRunTrackChangeContent`, `IMathElement`, `ICellContent`, `IRowContent`

Direct Known Subclasses:
  `MoveFromRangeStart`, `MoveToRangeStart`

public abstract class MoveBookmark extends Bookmark
The Class MoveBookmark.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `author`
  `protected Date`
  `date`

  ### Fields inherited from class com.independentsoft.office.word.Bookmark

  `name`

  ### Fields inherited from class com.independentsoft.office.word.BookmarkRange

  `firstColumn, lastColumn`

  ### Fields inherited from class com.independentsoft.office.word.MarkupRange

  `displacedByCustomXml`

  ### Fields inherited from class com.independentsoft.office.word.Markup

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MoveBookmark()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract MoveBookmark`
  `clone()`
  `String`
  `getAuthor()`
  Gets the author.
  `Date`
  `getDate()`
  Gets the date.
  `void`
  `setAuthor​(String author)`
  Sets the author.
  `void`
  `setDate​(Date date)`
  Sets the date.

  ### Methods inherited from class com.independentsoft.office.word.Bookmark

  `getName, setName`

  ### Methods inherited from class com.independentsoft.office.word.BookmarkRange

  `getFirstColumn, getLastColumn, setFirstColumn, setLastColumn`

  ### Methods inherited from class com.independentsoft.office.word.MarkupRange

  `getContentElements, getDisplacedByCustomXml, setDisplacedByCustomXml`

  ### Methods inherited from class com.independentsoft.office.word.Markup

  `getID, setID`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### author

    protected String author

  - ### date

    protected Date date

- ## Constructor Details

  - ### MoveBookmark

    public MoveBookmark()

- ## Method Details

  - ### clone

    public abstract MoveBookmark clone()
    Specified by:
      `clone` in interface `IBlockContent`
    Specified by:
      `clone` in interface `IBlockElement`
    Specified by:
      `clone` in interface `ICellContent`
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IContentRunContent`
    Specified by:
      `clone` in interface `IMathElement`
    Specified by:
      `clone` in interface `IParagraphContent`
    Specified by:
      `clone` in interface `IRangeMarkupElement`
    Specified by:
      `clone` in interface `IRowContent`
    Specified by:
      `clone` in interface `IRunLevelElement`
    Specified by:
      `clone` in interface `IRunTrackChangeContent`
    Specified by:
      `clone` in class `Bookmark`

  - ### getAuthor

    public String getAuthor()
    Gets the author.
    Returns:
      the author

  - ### setAuthor

    public void setAuthor​(String author)
    Sets the author.
    Parameters:
      `author` - the new author

  - ### getDate

    public Date getDate()
    Gets the date.
    Returns:
      the date

  - ### setDate

    public void setDate​(Date date)
    Sets the date.
    Parameters:
      `date` - the new date